From 799b605ca1af44300be2cff1afbfb39c655b5484 Mon Sep 17 00:00:00 2001
From: Zzull <bstrazzull@hotmail.fr>
Date: Sat, 29 Oct 2022 03:11:37 +0200
Subject: [PATCH 09/13] gnu: Add clojure-java-classpath

* gnu/packages/clojure.scm (clojure-java-classpath): New variable.
---
 gnu/packages/clojure.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/clojure.scm b/gnu/packages/clojure.scm
index 09e4e54fd9..ea1681832e 100644
--- a/gnu/packages/clojure.scm
+++ b/gnu/packages/clojure.scm
@@ -660,6 +660,30 @@ (define-public clojure-tigris
 in Java with a tiny Clojure wrapper.")
     (license license:epl1.0)))
 
+(define-public clojure-java-classpath
+  (package
+    (name "clojure-java-classpath")
+    (version "1.0.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/clojure/java.classpath")
+                    (commit (string-append "java.classpath-" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1v1gxl72vycscblwm1iwc2r64z9r60smvd2gc9l7q2aqqy56fr75"))))
+    (build-system clojure-build-system)
+    (arguments
+     '(#:source-dirs '("src/main/clojure")
+       #:test-dirs '("src/test/clojure")
+       #:doc-dirs '()))
+    (home-page "https://github.com/clojure/java.classpath")
+    (synopsis "Examines the Java classpath from Clojure programs")
+    (description "Clojure-java-classpath examines the Java classpath from
+Clojure programs")
+    (license license:epl1.0)))
+
 (define-public clojure-tools-reader
   (package
     (name "clojure-tools-reader")
-- 
2.38.0

